Last modified: 2011-03-13 18:04:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 373 - PhpTal use of other skin stylesheet
PhpTal use of other skin stylesheet
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.4.x
All All
: Lowest normal (vote)
: ---
Assigned To: Antoine "hashar" Musso (WMF)
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2004-09-03 18:10 UTC by Antoine "hashar" Musso (WMF)
Modified: 2011-03-13 18:04 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antoine "hashar" Musso (WMF) 2004-09-03 18:10:03 UTC
In PHPTal skins.

The stylesheet used depends of the skinname variable.

Actually we initialise a skin with:

$skinname : name of the skin
$template : name of the template

We need a $style private variable in the skin Class. This way a skin designer
can use styles from another skin without copying an already existing stylesheet
directory.

An example of the trouble is in cvs HEAD:
The /stylesheets/ directory contains duplicate datas.
Comment 1 JeLuF 2004-09-04 19:00:26 UTC
couldn't he just include the style files from a different skin in his skin's
"main.css"?
Comment 2 Antoine "hashar" Musso (WMF) 2004-09-05 03:48:40 UTC
I think I finished moving /stylesheets/ to /skins/ . There must be a lot
of bugs laying around. Most skins works well now and PHPTal can load
stylesheets from another skin (using private $stylename).

TODO : Need to let skin designers change pictures.

I need to document the move so this bug is now blocking the documentation bug.
Comment 3 Antoine "hashar" Musso (WMF) 2005-01-11 17:12:52 UTC
Instead, one can use the "MySkin" skin which will give out the monobook layout
without any css. Then user can use his own stylesheet user:foo/myskin.css

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links